Opened 11 years ago

Closed 10 years ago

#25510 closed defect (fixed)

Python Crash running 'modules' with py26-biopython installed

Reported by: raramayo (Rodolfo Aramayo) Owned by: mamoll (Mark Moll)
Priority: Normal Milestone:
Component: ports Version: 1.9.1
Keywords: Cc: blb@…
Port: py26-biopython

Description (last modified by blb@…)

If I type:

==========

>python

Python 2.6.5 (r265:79063, Jun 16 2010, 11:08:17) 
[GCC 4.0.1 (Apple Inc. build 5493)] on darwin
Type "help", "copyright", "credits" or "license" for more information.

>>>>help()

Welcome to Python 2.6!  This is the online help utility.

If this is your first time using Python, you should definitely check out
the tutorial on the Internet at http://docs.python.org/tutorial/.

Enter the name of any module, keyword, or topic to get help on writing
Python programs and using Python modules.  To quit this help utility and
return to the interpreter, just type "quit".

To get a list of available modules, keywords, or topics, type "modules",
"keywords", or "topics".  Each module also comes with a one-line summary
of what it does; to list the modules whose summaries contain a given word
such as "spam", type "modules spam".

>>>>modules

Please wait a moment while I gather a list of all available modules...

/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/Bio/AlignAce/__init__.py:26: DeprecationWarning: Bio.AlignAce is deprecated. Please use Bio.Motif instead.
  DeprecationWarning)
/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/Bio/Enzyme/__init__.py:23: DeprecationWarning: Bio.Enzyme is deprecated, and will be removed in a future release of Biopython. Most of the functionality  is now provided by Bio.ExPASy.Enzyme.  If you want to  continue to use Bio.Enzyme, please get in contact  via the mailing lists to avoid its permanent removal from Biopython.
  " Biopython.", DeprecationWarning)
...
...
...
...
/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/Bio/Prosite/__init__.py:65: DeprecationWarning: Bio.Prosite is deprecated, and will be removed in a future release of Biopython. Most of the functionality  is now provided by Bio.ExPASy.Prosite.  If you want to  continue to use Bio.Prosite, please get in contact  via the mailing lists to avoid its permanent removal from Biopython.
  " Biopython.", DeprecationWarning)
Bus error

>

==========

ANd at this point python crashes

Attachments (1)

portinstalled.txt (12.7 KB) - added by raramayo (Rodolfo Aramayo) 11 years ago.

Download all attachments as: .zip

Change History (14)

comment:1 Changed 11 years ago by blb@…

Description: modified (diff)

What ports do you have installed (use port installed to see)? Could be an issue with some module; also, are you on 10.4 or 10.5?

Changed 11 years ago by raramayo (Rodolfo Aramayo)

Attachment: portinstalled.txt added

comment:2 in reply to:  1 Changed 11 years ago by raramayo (Rodolfo Aramayo)

Replying to blb@…:

What ports do you have installed (use port installed to see)? Could be an issue with some module; also, are you on 10.4 or 10.5?

I have attached the file portsinstalled.txt. Yes, I do suspect it might be an issue with some module. I am still using 10.5

comment:3 Changed 11 years ago by raramayo (Rodolfo Aramayo)

As suggested I read the output carefully and decided to uninstall py26-biopython.

Re-run the commands described above and the crash went away!!

Therefore this is an incompatibility between py26-biopython and python26

comment:4 Changed 11 years ago by blb@…

Cc: blb@… added
Owner: changed from macports-tickets@… to mmoll@…
Port: py26-biopython added

py26-biopython was actually the first one I suspected, but it did not crash python for me; though I am on 10.6 so perhaps this is a 10.5+py26-biopython issue? I see the same warning from the biopython modules, but then it makes it through to the module list...

comment:5 Changed 11 years ago by raramayo (Rodolfo Aramayo)

It might be an incompatibility between py26-biopython and 10.5. I will be installing 10.6 soon and re-run the test

comment:6 in reply to:  4 Changed 11 years ago by raramayo (Rodolfo Aramayo)

Replying to blb@…:

py26-biopython was actually the first one I suspected, but it did not crash python for me; though I am on 10.6 so perhaps this is a 10.5+py26-biopython issue? I see the same warning from the biopython modules, but then it makes it through to the module list...

I re-run the test with MacOSX10.6 and there was no crash. I suspect the culprit was 10.5 and/or something I installed there... Bottom line, on a clean 10.6 there is no such crash

comment:7 Changed 10 years ago by mamoll (Mark Moll)

Does it make a difference whether you run /opt/local/bin/python2.6 or /usr/bin/python2.6?

comment:8 Changed 10 years ago by raramayo (Rodolfo Aramayo)

Obviously, I no longer have my 10.5 installation.

Also, since this ticket was filed, what we believed to be the culprit, Biopython has been updated several times.
Same can be said for Python 2.6. Testing for this bug using:
MacPorts Python Version: Python 2.6.6

Apple Python Version: Python 2.6.1
I get the following:

MacPorts Python
/opt/local/bin/python

38$ python Python 2.6.6 (r266:84292, May 5 2011, 11:21:18)
[GCC 4.2.1 (Apple Inc. build 5664)] on darwin
Type "help", "copyright", "credits" or "license" for more information.

help()

Welcome to Python 2.6! This is the online help utility.

If this is your first time using Python, you should definitely check out
the tutorial on the Internet at http://docs.python.org/tutorial/.[[BR]]

Enter the name of any module, keyword, or topic to get help on writing
Python programs and using Python modules. To quit this help utility and
return to the interpreter, just type "quit".

To get a list of available modules, keywords, or topics, type "modules",
"keywords", or "topics". Each module also comes with a one-line summary
of what it does; to list the modules whose summaries contain a given word
such as "spam", type "modules spam".

help> modules

Please wait a moment while I gather a list of all available modules...

/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/Bio/Clustalw/init__.py:34:
BiopythonDeprecationWarning: Bio.Clustalw is deprecated. Please use the Bio.AlignIO framework for alignment parsing, and the ClustalW command
line wrapper in Bio.Align.Applications for calling the tool. These are both described in the current version of the Biopython Tutorial and
Cookbook.

warnings.warn("Bio.Clustalw is deprecated. Please use the Bio.AlignIO framework for alignment parsing, and the ClustalW command line wrapper

in Bio.Align.Applications for calling the tool. These are both described in the current version of the Biopython Tutorial and Cookbook.",
Bio.BiopythonDeprecationWarning)

/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/Bio/InterPro/init__.py:25:
BiopythonDeprecationWarning: Bio.InterPro is deprecated, and will be removed in a future release of Biopython. Please get in contact via the
mailing lists if this is a problem for you.

"lists if this is a problem for you.", Bio.BiopythonDeprecationWarning)

/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/Bio/Parsers/init__.py:11: BiopythonDeprecationWarning:
Bio.Parsers (including our copy of SPARK) and the only part of Biopython which used it, Bio.GenBank.LocationParser, are now deprecated and will
be removed in a future release of Biopython. If you want to continue to use any of this code, please get in contact with the Biopython
developers via the mailing lists to avoid its permanent removal from Biopython.

"Biopython.", Bio.BiopythonDeprecationWarning)

ArgImagePlugin WalImageFile cmath pickletools
ArrayPrinter WmfImagePlugin cmd pimp
Audio_mac XVThumbImagePlugin code pipes
BaseHTTPServer XbmImagePlugin codecs pkg_resources
.......... ..........

IF HOWEVER I DO THIS IN
Apple Python
/usr/bin/python

I get the following:
blackeagle01:galaxy-python babieca$ python
Python 2.6.1 (r261:67515, Jun 24 2010, 21:47:49)
[GCC 4.2.1 (Apple Inc. build 5646)] on darwin
Type "help", "copyright", "credits" or "license" for more information.

help()

Welcome to Python 2.6! This is the online help utility.

If this is your first time using Python, you should definitely check out
the tutorial on the Internet at http://docs.python.org/tutorial/.[[BR]]

Enter the name of any module, keyword, or topic to get help on writing
Python programs and using Python modules. To quit this help utility and
return to the interpreter, just type "quit".

To get a list of available modules, keywords, or topics, type "modules",
"keywords", or "topics". Each module also comes with a one-line summary
of what it does; to list the modules whose summaries contain a given word
such as "spam", type "modules spam".

help> modules

Please wait a moment while I gather a list of all available modules...

Audio_mac _hashlib formatter quopri
BaseHTTPServer _heapq fpformat random
....
....

Obviously this speaks bu itself...

Thanks

comment:9 Changed 10 years ago by raramayo (Rodolfo Aramayo)

Upssss..In the hurry to answer, I neglected to check something really important
the second computer does NOT have biopython installed
For the test to be valid, I would have to have installed Biopython first
Please let me know if you want me to do this
Thanks and sorry for the confusion

comment:10 Changed 10 years ago by mamoll (Mark Moll)

If it's not too much trouble, please check. Hopefully, things just work and I can close this ticket.

comment:11 Changed 10 years ago by jmroot (Joshua Root)

Summary: Python CrashPython Crash running 'modules' with py26-biopython installed

comment:12 Changed 10 years ago by raramayo (Rodolfo Aramayo)

I have now tested two computers: Computer A : MacPorts Python 2.6.7, py26-biopython @1.57_0 Computer B : Apple Python 2.6.1, biopython-1.57

I have attached the copy of the logs for each test

Both computers passed the test

Python did not crashed as before

Close the ticket


Computer A

64$ python --version Python 2.6.7

65$ which python /opt/local/bin/python

66$ python --version Python 2.6.7

67$ python Python 2.6.7 (r267:88850, Jul 5 2011, 12:47:20) [GCC 4.2.1 (Apple Inc. build 5666) (dot 3)] on darwin Type "help", "copyright", "credits" or "license" for more information.

help()

Welcome to Python 2.6! This is the online help utility.

If this is your first time using Python, you should definitely check out the tutorial on the Internet at http://docs.python.org/tutorial/.

Enter the name of any module, keyword, or topic to get help on writing Python programs and using Python modules. To quit this help utility and return to the interpreter, just type "quit".

To get a list of available modules, keywords, or topics, type "modules", "keywords", or "topics". Each module also comes with a one-line summary of what it does; to list the modules whose summaries contain a given word such as "spam", type "modules spam".

help> modules

Please wait a moment while I gather a list of all available modules...

/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/Bio/Clustalw/init__.py:34: BiopythonDeprecationWarning: Bio.Clustalw is deprecated. Please use the Bio.AlignIO framework for alignment parsing, and the ClustalW command line wrapper in Bio.Align.Applications for calling the tool. These are both described in the current version of the Biopython Tutorial and Cookbook.

warnings.warn("Bio.Clustalw is deprecated. Please use the Bio.AlignIO framework for alignment parsing, and the ClustalW command line wrapper in Bio.Align.Applications for calling the tool. These are both described in the current version of the Biopython Tutorial and Cookbook.", Bio.BiopythonDeprecationWarning)

/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/Bio/InterPro/init__.py:25: BiopythonDeprecationWarning: Bio.InterPro is deprecated, and will be removed in a future release of Biopython. Please get in contact via the mailing lists if this is a problem for you.

"lists if this is a problem for you.", Bio.BiopythonDeprecationWarning)

/opt/local/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/Bio/Parsers/init__.py:11: BiopythonDeprecationWarning: Bio.Parsers (including our copy of SPARK) and the only part of Biopython which used it, Bio.GenBank.LocationParser, are now deprecated and will be removed in a future release of Biopython. If you want to continue to use any of this code, please get in contact with the Biopython developers via the mailing lists to avoid its permanent removal from Biopython.

"Biopython.", Bio.BiopythonDeprecationWarning)

ArgImagePlugin XVThumbImagePlugin collections pimp ArrayPrinter XbmImagePlugin colorsys pipes Audio_mac XpmImagePlugin commands pkg_resources BaseHTTPServer _AE compileall pkgutil Bastion _AH compiler platform BdfFontFile _App contextlib plistlib Bio _CF cookielib popen2 BioSQL _CG copy poplib BmpImagePlugin _CarbonEvt copy_reg posix BufrStubImagePlugin _Cm crypt posixfile CGIHTTPServer _Ctl csv posixpath Canvas _Dlg ctypes pprint Carbon _Drag curses profile CodeWarrior _Evt datetime pstats ColorPicker _File dbhash psyco_full ConfigParser _Fm dbm pty ContainerIO _Folder decimal pwd Cookie _Help decorator py CurImagePlugin _IBCarbon difflib py7zlib DcxImagePlugin _Icn dircache pyHnj Dialog _LWPCookieJar dis py_compile DocXMLRPCServer _Launch distutils pyclbr EasyDialogs _List doctest pydoc EpsImagePlugin _Menu dotblas pydoc_topics ExifTags _Mlte drv_libxml2 pyexpat Explorer _MozillaCookieJar dumbdbm pygraphviz FFT _OSA dummy_thread pylzma FileDialog _Qd dummy_threading quopri Finder _Qdoffs easy_install random FitsStubImagePlugin _Qt elementtree ranlib FixTk _Res email re FliImagePlugin _Scrap encodings readline FontFile _Snd errno reportlab FpxImagePlugin _TE exceptions repr FrameWork _Win fcntl resource GbrImagePlugin builtin filecmp rexec GdImageFile future fileinput rfc822 GifImagePlugin _abcoll findertools rlcompleter GimpGradientFile _ast fnmatch robotparser GimpPaletteFile _bisect formatter routes Gnuplot _bsddb fpconst rpy2 GribStubImagePlugin _builtinSuites fpformat runpy HTMLParser _bytesio fractions sched Hdf5StubImagePlugin _codecs ftplib scipy IN _codecs_cn functools select IcnsImagePlugin _codecs_hk future_builtins sets IcoImagePlugin _codecs_iso2022 galaxy setuptools ImImagePlugin _codecs_jp galaxy_utils sgmllib Image _codecs_kr gc sgmlop ImageChops _codecs_tw gdbm sha ImageCms _collections genericpath shelve ImageColor _csv gensuitemodule shlex ImageDraw _ctypes gestalt shutil ImageDraw2 _ctypes_test getopt signal ImageEnhance _curses getpass simplejson ImageFile _curses_panel gettext site ImageFileIO _dotblas glob smtpd ImageFilter _elementtree grp smtplib ImageFont _fileio gt sndhdr ImageGL _functools gzip socket ImageGrab _hashlib hashlib sqlalchemy ImageMath _heapq heapq sqlite3 ImageMode _hotshot hgext sre ImageOps _imaging hgsvn sre_compile ImagePalette _imagingcms hmac sre_constants ImagePath _imagingft hotshot sre_parse ImageQt _imagingmath htmlentitydefs ssl ImageSequence _imagingtk htmllib stat ImageShow _json httplib statvfs ImageStat _locale ic string ImageTk _lsprof icglue stringold ImageTransform _multibytecodec icopen stringprep ImageWin _multiprocessing idlelib strop ImtImagePlugin _numpy ihooks struct IptcImagePlugin _random imaplib subprocess JpegImagePlugin _renderPM imghdr sunau LinearAlgebra _rl_accel imp sunaudio MA _scproxy imputil symbol MLab _socket inspect symtable MacOS _sqlite3 io sys Matrix _sre itertools syslog McIdasImagePlugin _ssl json tabnanny MicImagePlugin _strptime keyword tarfile MimeWriter _struct lapack_lite telnetlib MiniAEFrame _symtable lib2to3 tempfile MpegImagePlugin _testcapi liblzma terminalcommand MspImagePlugin _threading_local libxml2 termios Nav _tkinter libxml2mod test Netscape _warnings linecache textwrap Numeric _weakref locale this Numeric_headers _xmlplus log_tempfile thread OSATerminology abc logging threading OleFileIO aepack lxml time PIL aetools lzma timeit PSDraw aetypes macerrors tkColorChooser PaletteFile aifc macostools tkCommonDialog PalmImagePlugin anydbm macpath tkFileDialog PcdImagePlugin applesingle macresource tkFont PcfFontFile appletrawmain macurl2path tkMessageBox PcxImagePlugin appletrunner mailbox tkSimpleDialog PdfImagePlugin argvemulator mailcap toaiff PixMapWrapper array markupbase token PixarImagePlugin arrayfns marshal tokenize PngImagePlugin ast math trace PpmImagePlugin asynchat md5 traceback Precision asyncore mercurial tty PsdImagePlugin atexit mhlib turtle Queue audiodev mimeparse types RNG audioop mimetools umath RandomArray autoGIL mimetypes unicodedata ScrolledText base64 mimify unittest SgiImagePlugin bdb mmap urllib SimpleDialog beaker modulefinder urllib2 SimpleHTTPServer bgenlocations multiarray urlparse SimpleXMLRPCServer binascii multifile user SocketServer binhex multiprocessing uu SpiderImagePlugin bisect mutex uuid StdSuites bsddb netrc videoreader StringIO buildtools new warnings SunImagePlugin bundlebuilder nis wave SystemEvents bz2 nntplib weakref TarIO cElementTree nose webbrowser Terminal cPickle ntpath whichdb TgaImagePlugin cProfile nturl2path wsgiref TiffImagePlugin cStringIO numbers xdrlib TiffTags cairo numeric_version xml Tix calendar numpy xmllib Tkconstants cfmfile opcode xmlrpclib Tkdnd cgi operator xxsubtype Tkinter cgitb optparse yaml UserArray chunk os zipfile UserDict cmath os2emxpath zipimport UserList cmd parser zlib UserString code pdb WalImageFile codecs pickle WmfImagePlugin codeop pickletools

Enter any module name to get more help. Or, type "modules spam" to search for modules whose descriptions contain the word "spam".

help>


Computer B

genomics03:~ admin$ which python /usr/bin/python genomics03:~ admin$ python --version Python 2.6.1 genomics03:~ admin$ python Python 2.6.1 (r261:67515, Jun 24 2010, 21:47:49) [GCC 4.2.1 (Apple Inc. build 5646)] on darwin Type "help", "copyright", "credits" or "license" for more information.

help()

Welcome to Python 2.6! This is the online help utility.

If this is your first time using Python, you should definitely check out the tutorial on the Internet at http://docs.python.org/tutorial/.

Enter the name of any module, keyword, or topic to get help on writing Python programs and using Python modules. To quit this help utility and return to the interpreter, just type "quit".

To get a list of available modules, keywords, or topics, type "modules", "keywords", or "topics". Each module also comes with a one-line summary of what it does; to list the modules whose summaries contain a given word such as "spam", type "modules spam".

help> modules

Please wait a moment while I gather a list of all available modules...

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/pkgutil.py:110: DeprecationWarning: twisted.flow is unmaintained.

import(name)

/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/twisted/python/filepath.py:12: DeprecationWarning: the sha module is deprecated; use the hashlib module instead

import sha

/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/twisted/words/im/init__.py:8: UserWarning: twisted.im will be undergoing a rewrite at some point in the future.

warnings.warn("twisted.im will be undergoing a rewrite at some point in the future.")

/Library/Python/2.6/site-packages/Bio/Clustalw/init__.py:34: BiopythonDeprecationWarning: Bio.Clustalw is deprecated. Please use the Bio.AlignIO framework for alignment parsing, and the ClustalW command line wrapper in Bio.Align.Applications for calling the tool. These are both described in the current version of the Biopython Tutorial and Cookbook.

warnings.warn("Bio.Clustalw is deprecated. Please use the Bio.AlignIO framework for alignment parsing, and the ClustalW command line wrapper in Bio.Align.Applications for calling the tool. These are both described in the current version of the Biopython Tutorial and Cookbook.", Bio.BiopythonDeprecationWarning)

/Library/Python/2.6/site-packages/Bio/InterPro/init__.py:25: BiopythonDeprecationWarning: Bio.InterPro is deprecated, and will be removed in a future release of Biopython. Please get in contact via the mailing lists if this is a problem for you.

"lists if this is a problem for you.", Bio.BiopythonDeprecationWarning)

/Library/Python/2.6/site-packages/Bio/Parsers/init__.py:11: BiopythonDeprecationWarning: Bio.Parsers (including our copy of SPARK) and the only part of Biopython which used it, Bio.GenBank.LocationParser, are now deprecated and will be removed in a future release of Biopython. If you want to continue to use any of this code, please get in contact with the Biopython developers via the mailing lists to avoid its permanent removal from Biopython.

"Biopython.", Bio.BiopythonDeprecationWarning)

2011-07-06 10:47:46.382 Python[23018:d07] Error loading /Developer/Library/Frameworks/InterfaceBuilderKit.framework/InterfaceBuilderKit: dlopen(/Developer/Library/Frameworks/InterfaceBuilderKit.framework/InterfaceBuilderKit, 265): Library not loaded: @rpath/DevToolsRemoteClient.framework/Versions/A/DevToolsRemoteClient

Referenced from: /Developer/Library/Frameworks/InterfaceBuilderKit.framework/InterfaceBuilderKit Reason: image not found

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/pkgutil.py:110: DeprecationWarning: The wxPython compatibility package is no longer automatically generated or actively maintained. Please switch to the wx package as soon as possible.

import(name)

AddressBook _Win dumbdbm pwd AppKit builtin dummy_thread py2app AppleScriptKit future dummy_threading py_compile Audio_mac _abcoll easy_install pyclbr Automator _ast email pydoc BaseHTTPServer _bisect encodings pydoc_topics Bastion _builtinSuites errno pyexpat Bio _bytesio exceptions quopri BioSQL _codecs ez_setup random CFNetwork _codecs_cn fcntl re CGIHTTPServer _codecs_hk fetchmailconf readline CalendarStore _codecs_iso2022 filecmp repr Canvas _codecs_jp fileinput resource Carbon _codecs_kr findertools rexec Cocoa _codecs_tw fnmatch rfc822 CodeWarrior _collections formatter rlcompleter Collaboration _csv fpformat robotparser ColorPicker _ctypes fractions runpy ConfigParser _ctypes_test ftplib sched Cookie _curses functools select CoreData _curses_panel future_builtins sets CoreFoundation _elementtree gc setuptools CoreGraphics _fileio genericpath sgmllib CoreText _functools gensuitemodule sha Dialog _hashlib gestalt shelve DictionaryServices _heapq getopt shlex DocXMLRPCServer _hotshot getpass shutil EasyDialogs _json gettext signal ExceptionHandling _locale glob site Explorer _lsprof grp smtpd FSEvents _multibytecodec gt smtplib FileDialog _multiprocessing gzip sndhdr Finder _random hashlib socket FixTk _socket heapq sqlite3 Foundation _sqlite3 hmac sre FrameWork _sre hotshot sre_compile HTMLParser _ssl htmlentitydefs sre_constants IN _strptime htmllib sre_parse InputMethodKit _struct httplib ssl InstallerPlugins _symtable ic stat InstantMessage _testcapi icglue statvfs InterfaceBuilderKit _threading_local icopen string JavaScriptCore _tkinter idlelib stringold LatentSemanticMapping _warnings ihooks stringprep LaunchServices _weakref imageop strop MacOS abc imaplib struct Message aepack imghdr subprocess MimeWriter aetools imp sunau MiniAEFrame aetypes imputil sunaudio Nav aifc inspect svn Netscape altgraph io symbol OSATerminology anydbm itertools symtable OpenSSL applesingle json sys PixMapWrapper appletrawmain keyword syslog PreferencePanes appletrunner lib2to3 tabnanny PubSub argvemulator libsvn tarfile PyObjCTools array linecache telnetlib PyRSS2Gen ast locale tempfile QTKit asynchat logging terminalcommand Quartz asyncore macerrors termios Queue atexit macholib test ScreenSaver audiodev macostools textwrap ScriptingBridge audioop macpath this ScrolledText autoGIL macresource thread SearchKit base64 macurl2path threading SimpleDialog bdb mailbox time SimpleHTTPServer bdist_mpkg mailcap timeit SimpleXMLRPCServer bgenlocations markupbase tkColorChooser SocketServer binascii marshal tkCommonDialog StdSuites binhex math tkFileDialog StringIO bisect md5 tkFont SyncServices bonjour mhlib tkMessageBox SystemConfiguration bsddb mimetools tkSimpleDialog SystemEvents bsddb185 mimetypes toaiff Tix buildtools mimify token Tkconstants bundlebuilder mmap tokenize Tkdnd bz2 modulefinder trace Tkinter cPickle modulegraph traceback UserDict cProfile multifile tty UserList cStringIO multiprocessing turtle UserString calendar mutex twisted WebKit cfmfile netrc types XgridFoundation cgi new unicodedata _AE cgitb nis unittest _AH chunk nntplib urllib _App cmath ntpath urllib2 _CF cmd nturl2path urlparse _CG code numbers user _CarbonEvt codecs numpy uu _Cm codeop objc uuid _Ctl collections opcode videoreader _Dlg colorsys operator warnings _Drag commands optparse wave _Evt compileall os weakref _File compiler os2emxpath webbrowser _Fm contextlib parser whichdb _Folder cookielib pdb wsgiref _Help copy pickle wx _IBCarbon copy_reg pickletools wxPython _Icn crypt pimp wxaddons _LWPCookieJar csv pipes wxversion _Launch ctypes pkg_resources xattr _List curses pkgutil xdrlib _Menu datetime platform xml _Mlte dateutil plistlib xmllib _MozillaCookieJar dbhash popen2 xmlrpclib _OSA dbm poplib xxsubtype _Qd decimal posix zipfile _Qdoffs difflib posixfile zipimport _Qt dircache posixpath zlib _Res dis pprint zope _Scrap distutils profile _Snd dl pstats _TE doctest pty

Enter any module name to get more help. Or, type "modules spam" to search for modules whose descriptions contain the word "spam".

help>

comment:13 Changed 10 years ago by mamoll (Mark Moll)

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.